View Issue Details

IDProjectCategoryView StatusLast Update
0000009IDE Simulator[All Projects] Generalpublic2021-05-13 05:23
ReportersmoobanditAssigned To 
PriorityurgentSeverityblockReproducibilityalways
Status newResolutionopen 
Summary0000009: ODE not detected on 486 PC, using VLB IO, ESS Audiodrive, or SB16 IDE
DescriptionNewly arrived ODE is not detected by either DOS 6.22 (VIDE-CDD.sys or SBIDE.sys) or Windows 95B.
The device does connect over USB using PUTTY with a windows 10 machine. All commands work, so the device is not DOA.

Nothing on the 486 PC can detect the ODE. Using the monitor command, various "unimplemented ATA commands" are reported when config.sys is being processed, and drivers are trying to load. These are reported in additional information. The most prevalent are:

When trying to connect via an IDE port on a soundcard.
"Unimplemented ATA command 0C"

When trying to connect via the VLB IO card:
"Unimplemented ATA command 6C
Unimplemented ATA command 21"

Swapping the IDE cable does not resolve the issue.
Steps To ReproduceConnect the card to a 486 PC build around a GA-486VS motherboard, using the IDE ports on a VLB IO card, or an ESS Audiodrive, or SB16 (CT2800).

Boot to DOS or Windows 95B.

Drive not detected.
Additional InformationReset: hard
Finish: ATA
Unimplemented ATA command 10
Finish: ATA 04
Unimplemented ATA command 63
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
READ SECTORS
Finish: ATA 04
DEVICE RESET
Reset: software
Finish: ATA
Unimplemented ATA command 6C
Finish: ATA 04
Unimplemented ATA command 21
Finish: ATA 04

Slave with Compact flash on master position, win95b bootdisk
Reset: hard
Finish: ATA
Reset: register
Finish: ATA
Reset: register
Finish: ATA
Reset: register
Finish: ATA
DEVICE RESET
Reset: software
Finish: ATA
Unimplemented ATA command 6C
Finish: ATA 04
Unimplemented ATA command 21
Finish: ATA 04

Slave on ESS Audiodrive, DOS 6.22 (vide-cdd.sys) IRQ/A
Reset: hard
Finish: ATA
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04

Slave on ESS Audiodrive, Win95b
Reset: hard
Finish: ATA

Slave on ESS Audiodrive, dos 6.22 (sbide.sys) IRQ /A or 11
Reset: hard
Finish: ATA
Unimplemented ATA command 0C
Finish: ATA 04

Slave on ESS Audiodrive, dos 6.22 (vide-cdd.sys) IRQ /11
Reset: hard
Finish: ATA
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04
TagsNo tags attached.

Activities

colin

2021-04-15 20:42

administrator   ~0000046

Thanks for filing - I may need to pick up an ESS Audiodrive to test that combination on. I have tested it on a 486 which supports VLB, but only has VGA VLB installed with just plain 16-bit ISA I/O for IDE/serial/parallel, where the Compactflash master/PCB slave did work but was intermittently a problem (but I also have problems with the CF on the bus alone, so it's difficult to debug). I did add a second ISA I/O card to the 486 to run the PCB alone and that also worked fine, so I'm wondering if there's a timing issue with the sound card-based buses. I also wonder if there's something special about that VLB I/O card, so I'll try to hunt one of those down too.

I've been working specifically on the CF master/PCB slave config this week (both trying to figure out why my CF card is just generally flakey and also make sure my PCB is happy sharing the bus with it) so I should have a beta update for you to try soon.

colin

2021-04-15 21:03

administrator   ~0000047

Which driver were you using for the VLB I/O card?

smoobandit

2021-04-15 21:35

reporter   ~0000048

Thanks for the quick attention.

I do have a non-VLB IO card which I will test tomorrow.

When you mention the driver for the I/O card, I presume you mean vide-cdd or sbide. When I was testing that I was just using the win95b boot disk, which cycles through a number of drivers. The first entry up there got the descriptive line cut off when I cut and pasted. It was the PCB running as master ONLY on the I/O card, and booting from the win95b boot disk. If I recall the initial unimplemented commands were during POST, and the DEVICE RESET happened when the boot disk started trying drivers.

Couple of other things. I was running an Am5x86 at 160Mhz, which will have a bus speed of 40Mhz. That might be throwing things off. When I test out the non-VLB IO card, I'll revert to a DX2-66 chip to rule out the bus overlock as well. Just mentioned since you raised the timing issue.

The IO card I used today was a QDI QD6500A.

Thanks.

smoobandit

2021-04-16 16:55

reporter   ~0000049

OK, I have been able to do some more testing today.

Firstly, I connected up a real CDROM drive (52x, manufactured April 01, so exactly 20 years old!). This worked fine with the cables, both sound cards (Audiodrive and SB16), and the QDI I/O card. I also swapped out the QDI for a PTI-227B ISA only card. The real CDROM worked fine on all of these in DOS and Win95B.

I also swapped out the overclocked Am5x86 for an Intel 486 DX2 running at 66Mhz.

None of this made any difference to the PCB. Using the same cables and cards as the real CDROM drive, it performed the same as yesterday in the 'monitor' logging. I won't paste in the reports as they are identical. No driver could detect it, from ACER(vide-cdd), Oak, SBIDE, or the plethora of drivers on the win95B boot disk.

To clarify - this testing included running the PCB in master mode on the ISA I/O card without a HDD present. This worked fine with the real CDROM, but the system could not detect the PCB at all.

I do not have another 486 motherboard to swap out.

Many thanks,

colin

2021-04-21 05:06

administrator   ~0000050

Hey, still working on the issue/waiting for test hardware to arrive, but I did have one other question - did you happen to try with OAKCDROM.SYS or BTCCDROMI.SYS? Those are the primary ones I've been using to test (the latter as it has a 'retry' function, so I didn't need to continually reboot to try firmware changes, and the former as I remember it being popular in the '90s when i first got a CD-ROM drive).

smoobandit

2021-04-21 20:06

reporter   ~0000051

As I understand it the SBIDE.SYS is basically the OAKCDROM.SYS, so i tried that. In any event, the Win95b boot floppy has a bunch of CDROM drivers on it. They appear in the config.sys as follows:

device=himem.sys /testmem:off
device=oakcdrom.sys /D:mscd001
device=btdosm.sys
device=flashpt.sys
device=btcdrom.sys /D:mscd001
device=aspi2dos.sys
device=aspi8dos.sys
device=aspi4dos.sys
device=aspi8u2.sys
device=aspicd.sys /D:mscd001

None of those manages to work. Booting from this disk produces the first, and longest, monitor log sequence above. Presumably because it is testing so many drivers one after the other.

I do not recognise the "BTCCDROMI.SYS" that you mention. It's not on the win95b boot disk, and google is not forthcoming. Do you have a link that you could share, and I will test away.

Thanks.

smoobandit

2021-05-10 17:19

reporter   ~0000052

I picked up a replacement IDE cable to rule out that being an issue. I had been using an 80pin three connector cable (motherboard, slave, master) or a 40pin two connector cable (motherboard, master) to test. I wanted to rule out something weird so picked up a 40pin 3 connector cable for testing. It works fine with the real CDROM drive on either connector, and fails with the PCB on either port. While testing I cycled through a few different drivers, and used the analyser tool for the first time to dump put some more data. You might find it useful. All data dumps are produced at the point when config.sys accesses the driver in DOS 6.22. I ran the tests 3/4 times and noted slightly different outputs. I was just rebooting in-between trials with no other changes.

Despite the changes in the data reported by analyser there was no visible change on the 486 PC. The driver reported a failure to find a drive in the same way each time - even with the huge response from the OAK driver.

LG (E-IDE/ATAPI CD-ROM DRIVER Ver 1.25)
(GSCDROM.SYS)
analyser
Capturing IDE traffic (press any key to end)
iAAIAAAFgAIWAAg4CoCQAAKAAAsAADAAANAAA4DoDwAIOAqC8AU

analyser
Capturing IDE traffic (press any key to end)
s//8AAAFgAIWAAg4CoCQAAKAAAsAADAAANAAA4DoDwAIOAqC8AU

analyser
Capturing IDE traffic (press any key to end)
OB6AAAAFgAIWAAg4CoCQAAKAAAsAADAAANAAA4DoDwAIOAqC8AU

monitor
Monitoring IDE commands (press any key to end)
Unimplemented ATA command 0C
Finish: ATA 04


SBIDE (Oak, OTI-011 - Rev D011V110.ENG007)
analyser
Capturing IDE traffic (press any key to end)
OB6AAAADgKgsAAAz+VbABVMAAA6hoCaEAKoQAuhADKEANoQA6no

analyser
Capturing IDE traffic (press any key to end)
s//8AAADgKgsAAAz+VbABGMAAA4OsLP//M/1Wz//zP//OAqCwAFDABVsAFUwAFDqGgJoQAqhAC6EAMoQA2hADqegPuQg4DoLwBROD7

analyser
Capturing IDE traffic (press any key to end)
s//8AAADgKgsAAAz+VbABVMAAA6hoCaEAKoQAuhADKEANoQA6no

analyser
Capturing IDE traffic (press any key to end)
OB6C8ffDgKgsAAAz+VbABVMAAA6joCaEAKoQAuhADKEANoQA6no

monitor
Monitoring IDE commands (press any key to end)
Unimplemented ATA command 0C
Finish: ATA 04

VIDE-CDD
analyser
Capturing IDE traffic (press any key to end)
OB6AAAALgCgOAqC8AUTwAIvAFGwAADz/svAFGwAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAA

analyser
Capturing IDE traffic (press any key to end)
v//8AAALv//OB6C8AUTwAIvAFGwAADz/svAFGwAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAA

analyser
Capturing IDE traffic (press any key to end)
v//8AAALv//OB6C8AUTwAIvAFGwAADz/svAFGwAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAAKEAAoQAChAA

Unimplemented ATA command 0C
Finish: ATA 04
Unimplemented ATA command 0C
Finish: ATA 04

OAK (OTI-91X Rev D91XV352)
analyser
Capturing IDE traffic (press any key to end)
v//8AAAFgAIWAAg4HoCQAAKAAAsAADAAANAAA4HoDwgIOAqC8AU

analyser
Capturing IDE traffic (press any key to end)
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

analyser
Capturing IDE traffic (press any key to end)
OB6C8ffFgAIWAAg4DoCQAAKAAAsAADAAANAAA4HoDwgIOAqC8AU

monitor
Monitoring IDE commands (press any key to end)
Unimplemented ATA command 0C
Finish: ATA 04

colin

2021-05-11 06:11

administrator   ~0000053

I've used 80 pin and 40 pin cables for testing, both should work, so I'm (sadly) not surprised it didn't help.

Still working on it as we speak, had a little time constraint with other things but that should be easing up now - I have been able to reproduce though, which definitely helps. I've also seen it occur on the 486 I used to test that previously was fine, so I think something may have just subtly regressed.

smoobandit

2021-05-11 07:35

reporter   ~0000054

That's interesting. Is the firmware for that earlier working version available for testing? Might be helpful to confirm at this end.

Would an early firmware even work on the latest revision of the hardware?

colin

2021-05-13 05:23

administrator   ~0000055

The firmware for the original board won't work (it will boot on the new boards, but a few pins have their levels reversed so most machines, definitely including old PCs, will get upset) but there might be a version for that board in my 'alpha' directory - it was the new revision of the board I was testing on the 486 last time I saw it work! I'll see if I can find something, but even if not, it's still a good place to start debugging.

Issue History

Date Modified Username Field Change
2021-04-15 19:08 smoobandit New Issue
2021-04-15 20:42 colin Note Added: 0000046
2021-04-15 21:03 colin Note Added: 0000047
2021-04-15 21:35 smoobandit Note Added: 0000048
2021-04-16 16:55 smoobandit Note Added: 0000049
2021-04-21 05:06 colin Note Added: 0000050
2021-04-21 20:06 smoobandit Note Added: 0000051
2021-05-10 17:19 smoobandit Note Added: 0000052
2021-05-11 06:11 colin Note Added: 0000053
2021-05-11 07:35 smoobandit Note Added: 0000054
2021-05-13 05:23 colin Note Added: 0000055